package com.androidhuman.example.PatternExample;

import android.app.Activity;
import android.os.Bundle;
import android.os.PatternMatcher;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.AdapterView.OnItemSelectedListener;

public class Main extends Activity {
    private PatternMatcher matcher;
    
    private Spinner matchModeSpinner;
    private EditText patternString;
    private EditText stringToTest;
    private Button matchTestButton;
    private TextView resultText;
    
    private int MATCH_MODE;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
       
        matchModeSpinner = (Spinner)findViewById(R.id.matchModeSpinner);
        patternString = (EditText)findViewById(R.id.patternString);
        stringToTest = (EditText)findViewById(R.id.stringToTest);
        matchTestButton = (Button)findViewById(R.id.matchPatternButton);
        resultText = (TextView)findViewById(R.id.resultText);
       
        matchModeSpinner.setOnItemSelectedListener(new OnItemSelectedListener(){

			public void onItemSelected(AdapterView<?> parent, View view,
					int position, long id) {
				MATCH_MODE = position;
			}

			public void onNothingSelected(AdapterView<?> parent) {
			}
        	
        });
        
        matchTestButton.setOnClickListener(new OnClickListener(){

			public void onClick(View v) {
				matcher = new PatternMatcher(patternString.getText().toString(), MATCH_MODE);
				resultText.setText("Result : " + matcher.match(stringToTest.getText().toString()));
			}
        	
        });
        
        
    }
}